# -*- coding: utf-8 -*-
# Generated by Django 1.11.10 on 2018-05-26 12:35
from __future__ import unicode_literals

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import guichet.models
import re
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ('guichet', '0072_info_sup_recv'),
    ]

    operations = [
        migrations.CreateModel(
            name='Info_Sup_Choice',
            fields=[
                ('info_sup_ptr', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='info_sup_choice', serialize=False, to='guichet.Info_Sup')),
            ],
            bases=('guichet.info_sup',),
        ),
        migrations.CreateModel(
            name='Info_Sup_Choice_Choices',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=32, verbose_name='Nom')),
                ('info_sup', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='choices', to='guichet.Info_Sup_Choice')),
            ],
        ),
        migrations.CreateModel(
            name='Info_Sup_File',
            fields=[
                ('info_sup_ptr', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='info_sup_file', serialize=False, to='guichet.Info_Sup')),
                ('file_name', models.CharField(max_length=32, validators=[django.core.validators.RegexValidator(re.compile('^[-a-zA-Z0-9_]+\\Z'), "Enter a valid 'slug' consisting of letters, numbers, underscores or hyphens.", 'invalid')], verbose_name='Nom du fichier (nom interne)')),
            ],
            bases=('guichet.info_sup',),
        ),
        migrations.CreateModel(
            name='Info_Sup_Float',
            fields=[
                ('info_sup_ptr', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='info_sup_float', serialize=False, to='guichet.Info_Sup')),
                ('min_value', models.FloatField(blank=True, null=True, verbose_name='Valeur minimale (laiss\xe9 vide si pas de minimum)')),
                ('max_value', models.FloatField(blank=True, null=True, verbose_name='Valeur maximale (laiss\xe9 vide si pas de maximum)')),
            ],
            bases=('guichet.info_sup',),
        ),
        migrations.CreateModel(
            name='Info_Sup_Int',
            fields=[
                ('info_sup_ptr', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='info_sup_int', serialize=False, to='guichet.Info_Sup')),
                ('min_value', models.IntegerField(blank=True, null=True, verbose_name='Valeur minimale (laiss\xe9 vide si pas de minimum)')),
                ('max_value', models.IntegerField(blank=True, null=True, verbose_name='Valeur maximale (laiss\xe9 vide si pas de maximum)')),
            ],
            bases=('guichet.info_sup',),
        ),
        migrations.CreateModel(
            name='Info_Sup_Recv_Choice',
            fields=[
                ('info_sup_recv_ptr', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='info_sup_recv_choice', serialize=False, to='guichet.Info_Sup_Recv')),
                ('choice', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='guichet.Info_Sup_Choice_Choices')),
            ],
            bases=('guichet.info_sup_recv',),
        ),
        migrations.CreateModel(
            name='Info_Sup_Recv_File',
            fields=[
                ('info_sup_recv_ptr', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='info_sup_recv_file', serialize=False, to='guichet.Info_Sup_Recv')),
                ('upload_file', models.FileField(blank=True, max_length=128, null=True, upload_to=guichet.models.path_info_recv, verbose_name='Document fourni')),
            ],
            bases=('guichet.info_sup_recv',),
        ),
        migrations.CreateModel(
            name='Info_Sup_Recv_Float',
            fields=[
                ('info_sup_recv_ptr', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='info_sup_recv_float', serialize=False, to='guichet.Info_Sup_Recv')),
                ('raw_value', models.FloatField()),
            ],
            bases=('guichet.info_sup_recv',),
        ),
        migrations.CreateModel(
            name='Info_Sup_Recv_Int',
            fields=[
                ('info_sup_recv_ptr', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='info_sup_recv_int', serialize=False, to='guichet.Info_Sup_Recv')),
                ('raw_value', models.IntegerField()),
            ],
            bases=('guichet.info_sup_recv',),
        ),
        migrations.CreateModel(
            name='Info_Sup_Recv_Long_Text',
            fields=[
                ('info_sup_recv_ptr', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='info_sup_recv_long_text', serialize=False, to='guichet.Info_Sup_Recv')),
                ('text', models.TextField(blank=True)),
            ],
            bases=('guichet.info_sup_recv',),
        ),
        migrations.CreateModel(
            name='Info_Sup_Recv_Short_Text',
            fields=[
                ('info_sup_recv_ptr', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='info_sup_recv_short_text', serialize=False, to='guichet.Info_Sup_Recv')),
                ('text', models.CharField(blank=True, max_length=128)),
            ],
            bases=('guichet.info_sup_recv',),
        ),
        migrations.AddField(
            model_name='info_sup',
            name='info_editable',
            field=models.BooleanField(default=False, verbose_name='Information modifiable si elle est valid\xe9 (uniquement si auto-validation)'),
        ),
        migrations.AddField(
            model_name='info_sup',
            name='info_validate',
            field=models.BooleanField(default=False, verbose_name="Auto-validation du champ d\xe8s qu'il est saisie."),
        ),
        migrations.AddField(
            model_name='info_sup',
            name='type_info',
            field=models.IntegerField(choices=[(0, "Case \xe0 cocher dans l'interface d'administration"), (1, 'Champ texte sur une ligne (max 128 caract\xe8res'), (2, 'Champ texte multi-lignes'), (3, 'Choix dans une liste'), (4, 'Nombre entier'), (5, 'Nombre d\xe9cimale'), (6, 'Fichier (max 1 Mo)')], default=0),
        ),
        migrations.AddField(
            model_name='info_sup_recv',
            name='version',
            field=models.UUIDField(default=uuid.uuid4),
        ),
        migrations.AlterUniqueTogether(
            name='info_sup_choice_choices',
            unique_together=set([('info_sup', 'name')]),
        ),
    ]
